package labss.lang.il.builders;

/**
 * @author Riccardo Solmi
 */
public interface ILBuilder extends EventBuilder {
	public void Empty();
	public void NullExpression();

	public void While_();
	public void _While();
	public void If_();
	public void _If();
	public void IfElse_();
	public void _IfElse();
	public void Assignment_();
	public void _Assignment();
	public void Block_();
	public void _Block();

	public void Bool(boolean value);
	public void Int(int value);
	public void Variable(String id);

	public void Addition_();
	public void _Addition();
	public void Subtraction_();
	public void _Subtraction();
	public void Multiplication_();
	public void _Multiplication();
	public void Division_();
	public void _Division();

	public void Equals_();
	public void _Equals();
	public void GreaterThan_();
	public void _GreaterThan();
	public void LessThan_();
	public void _LessThan();

	public void And_();
	public void _And();
	public void Or_();
	public void _Or();
	public void Not_();
	public void _Not();
}
