package labss.lang.il.builders;

import labss.lang.il.model.ILEntity;

/**
 * @author Riccardo Solmi
 */
public class SelfEntityBuilder implements EntityBuilder {
    protected ILEntity entity;

    public SelfEntityBuilder() {
    }
    public SelfEntityBuilder(ILEntity entity) {
        this.entity = entity;
    }

    public ILEntity getResult() {
    	return entity;
    }
    public void build(ILEntity entity) {
		this.entity = entity;
    }
    public void startBuild(ILEntity entity) {
		this.entity = entity;
    }
    public void endBuild() {
    }
}
