package labss.lang.il.iterators;

import java.util.Iterator;

import labss.lang.il.model.ILEntity;

/**
 * @author Riccardo Solmi
 */
public class ChildIterator implements Iterator<ILEntity> {
	protected ILEntity entity; //parent
	protected int index;
	
	public ChildIterator(ILEntity entity) {
		this(entity, 0);
	}
	public ChildIterator(ILEntity entity, int index) {
		this.entity = entity;
		this.index = index;
	}

	public boolean hasNext() {
		return index < entity.size();
	}
	
	public ILEntity next() {
		return entity.get(index++);
	}
	
	public void remove() {
		throw new UnsupportedOperationException();
	}
}
