package labss.lang.il.model;

/**
 * @author Riccardo Solmi
 */
public class EnumValue implements Comparable<EnumValue> {
    public final int ordinal;
    public final String name;
    
    public EnumValue(int ordinal, String name) {
        this.ordinal = ordinal;
        this.name = name;
    }

    public final boolean equals(Object o) {
        return o instanceof EnumValue && ordinal == ((EnumValue) o).ordinal;
    }
    public final int compareTo(EnumValue o) {
        return ordinal - ((EnumValue) o).ordinal;
    }

    public String toString() {
        return name;
    }
}
