package labss.lang.il.model;


/**
 * @author Riccardo Solmi
 */
public class ILPropertiesEnum extends Enum<ILProperty> {
	public static final int pExp1_ord = 0;
	public static final int pExp2_ord = 1;
	public static final int pVariable_ord = 2;
	public static final int pExp_ord = 3;
	public static final int pCondition_ord = 4;
	public static final int pTrueBody_ord = 5;
	public static final int pFalseBody_ord = 6;
	
	public static final ILPropertiesEnum instance = new ILPropertiesEnum();

	public static final ILProperty pExp1 = instance.valueOf(pExp1_ord);
	public static final ILProperty pExp2 = instance.valueOf(pExp2_ord);
	public static final ILProperty pVariable = instance.valueOf(pVariable_ord);
	public static final ILProperty pExp = instance.valueOf(pExp_ord);
	public static final ILProperty pCondition = instance.valueOf(pCondition_ord);
	public static final ILProperty pTrueBody = instance.valueOf(pTrueBody_ord);
	public static final ILProperty pFalseBody = instance.valueOf(pFalseBody_ord);
	
	public ILPropertiesEnum() {
		put(new ILProperty(pExp1_ord, "exp1"));
		put(new ILProperty(pExp2_ord, "exp2"));
		put(new ILProperty(pVariable_ord, "variable"));
		put(new ILProperty(pExp_ord, "exp"));
		put(new ILProperty(pCondition_ord, "condition"));
		put(new ILProperty(pTrueBody_ord, "trueBody"));
		put(new ILProperty(pFalseBody_ord, "falseBody"));
	}
}
