package labss.lang.il.model.impl;

import labss.lang.il.model.ILType;
import labss.lang.il.model.ILType5;
import labss.lang.il.model.ILTypesEnum;
import labss.lang.il.model.Statement;
import labss.lang.il.visitors.ILVisitor;

/**
 * @author Riccardo Solmi
 */
public class Empty extends AbstractILEntity implements Statement {
	public static final Empty instance = new Empty();
	private Empty() {
	}

	public Object clone() {
		return this;
	}

	public ILType5 getType5() {
		return ILType5.Empty;
	}
	public ILType getType() {
		return ILTypesEnum.tEmpty;
	}

	public void accept(ILVisitor visitor) {
		visitor.visit(this);
	}
}
