package labss.lang.il.model.impl;

import labss.lang.il.model.ILType;
import labss.lang.il.model.ILType5;
import labss.lang.il.model.ILTypesEnum;
import labss.lang.il.visitors.ILVisitor;

/**
 * @author Riccardo Solmi
 */

public class Int extends AbstractLiteral {
	private int val;

	protected Int(int val) {
		this.val = val;
	}

	public ILType5 getType5() {
		return ILType5.Int;
	}
	public ILType getType() {
		return ILTypesEnum.tInt;
	}

	public void accept(ILVisitor visitor) {
		visitor.visit(this);
	}

	public int intValue() {
		return val;
	}

	public void setValue(int value) {
		val = value;
	}

	public String toString() {
		return String.valueOf(val);
	}
}