package labss.lang.il.model.impl;

import labss.lang.il.model.Expression;
import labss.lang.il.model.ILType;
import labss.lang.il.model.ILType5;
import labss.lang.il.model.ILTypesEnum;
import labss.lang.il.visitors.ILVisitor;

/**
 * @author Riccardo Solmi
 */

public class Variable extends AbstractILEntity implements Expression {
	private String name;

	protected Variable(String name) {
		this.name = name;
	}

	public ILType5 getType5() {
		return ILType5.Variable;
	}
	public ILType getType() {
		return ILTypesEnum.tVariable;
	}

	public void accept(ILVisitor visitor) {
		visitor.visit(this);
	}

	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
}