package labss.lang.il.builders;

import labss.lang.il.model.ILEntity;

/**
 * @author Riccardo Solmi
 */
public class ChildEntityBuilder implements EntityBuilder {
	protected ILEntity entity; //parent
	protected int index;

	public ChildEntityBuilder(ILEntity entity) {
		this(entity, 0);
	}
	public ChildEntityBuilder(ILEntity entity, int index) {
		this.entity = entity;
		this.index = index;
	}

	public ILEntity getResult() {
		return entity;
	}

    public void build(ILEntity entity) {
    	this.entity.set(index++, entity);
    }
    public void startBuild(ILEntity entity) {
    	this.entity.set(index++, entity);
    }
    public void endBuild() {
    }
}
