package labss.lang.il.builders;

import labss.lang.il.model.ILEntity;

/**
 * @author Riccardo Solmi
 */
public interface EntityBuilder {
	public ILEntity getResult();

	public void build(ILEntity entity);
	public void startBuild(ILEntity entity);
	public void endBuild();
}
