package labss.lang.il.factories;

import labss.lang.il.model.ILEntity;

/**
 * @author Riccardo Solmi
 */
public class PrototypeFactory implements TemplateFactory {
	private ILEntity prototype;
	
	public PrototypeFactory(ILEntity prototype) {
		this.prototype = prototype;
	}
	
	public ILEntity create(Object... args) {
		return (ILEntity) prototype.clone();
	}

}
