package labss.lang.il.model;


/**
 * @author Riccardo Solmi
 */
public class ILTypesEnum extends Enum<ILType> {
	public static final int tEmpty_ord = 0;
	public static final int tNullExpression_ord = 1;
	public static final int tWhile_ord = 2;
	public static final int tIf_ord = 3;
	public static final int tIfElse_ord = 4;
	public static final int tAssignment_ord = 5;
	public static final int tBlock_ord = 6;
	public static final int tBool_ord = 7;
	public static final int tInt_ord = 8;
	public static final int tVariable_ord = 9;
	public static final int tAddition_ord = 10;
	public static final int tSubtraction_ord = 11;
	public static final int tMultiplication_ord = 12;
	public static final int tDivision_ord = 13;
	public static final int tEquals_ord = 14;
	public static final int tGreaterThan_ord = 15;
	public static final int tLessThan_ord = 16;
	public static final int tAnd_ord = 17;
	public static final int tOr_ord = 18;
	public static final int tNot_ord = 19;
	
	public static final ILTypesEnum instance = new ILTypesEnum();

	public static final ILType tEmpty = instance.valueOf(tEmpty_ord);
	public static final ILType tNullExpression = instance.valueOf(tNullExpression_ord);
	public static final ILType tWhile = instance.valueOf(tWhile_ord);
	public static final ILType tIf = instance.valueOf(tIf_ord);
	public static final ILType tIfElse = instance.valueOf(tIfElse_ord);
	public static final ILType tAssignment = instance.valueOf(tAssignment_ord);
	public static final ILType tBlock = instance.valueOf(tBlock_ord);
	public static final ILType tBool = instance.valueOf(tBool_ord);
	public static final ILType tInt = instance.valueOf(tInt_ord);
	public static final ILType tVariable = instance.valueOf(tVariable_ord);
	public static final ILType tAddition = instance.valueOf(tAddition_ord);
	public static final ILType tSubtraction = instance.valueOf(tSubtraction_ord);
	public static final ILType tMultiplication = instance.valueOf(tMultiplication_ord);
	public static final ILType tDivision = instance.valueOf(tDivision_ord);
	public static final ILType tEquals = instance.valueOf(tEquals_ord);
	public static final ILType tGreaterThan = instance.valueOf(tGreaterThan_ord);
	public static final ILType tLessThan = instance.valueOf(tLessThan_ord);
	public static final ILType tAnd = instance.valueOf(tAnd_ord);
	public static final ILType tOr = instance.valueOf(tOr_ord);
	public static final ILType tNot = instance.valueOf(tNot_ord);
	
	public ILTypesEnum() {
		put(new ILType(tEmpty_ord, "Empty"));
		put(new ILType(tNullExpression_ord, "NullExpression"));
		put(new ILType(tWhile_ord, "While"));
		put(new ILType(tIf_ord, "If"));
		put(new ILType(tIfElse_ord, "IfElse"));
		put(new ILType(tAssignment_ord, "Assignment"));
		put(new ILType(tBlock_ord, "Block"));
		put(new ILType(tBool_ord, "Bool"));
		put(new ILType(tInt_ord, "Int"));
		put(new ILType(tVariable_ord, "Variable"));
		put(new ILType(tAddition_ord, "Addition", "+"));
		put(new ILType(tSubtraction_ord, "Subtraction", "-"));
		put(new ILType(tMultiplication_ord, "Multiplication", "*"));
		put(new ILType(tDivision_ord, "Division", "/"));
		put(new ILType(tEquals_ord, "Equals", "=="));
		put(new ILType(tGreaterThan_ord, "GreaterThan", ">"));
		put(new ILType(tLessThan_ord, "LessThan", "<"));
		put(new ILType(tAnd_ord, "And", "&&"));
		put(new ILType(tOr_ord, "Or", "||"));
		put(new ILType(tNot_ord, "Not", "!"));
	}
}
