package labss.lang.il.model;

public interface Literal extends Expression {
    /**
     * Restituisce il valore intero rappresentato da questa costante.<br/>
     * @throws IllegalArgumentException se la costante non rappresenta un intero.
     */
	public int intValue();
    /**
     * Restituisce il valore booleano rappresentato da questa costante.<br/>
     * @throws IllegalArgumentException se la costante non rappresenta un booleano.
     */
	public boolean booleanValue();
	
	public void setValue(int value);
	public void setValue(boolean value);
}