package labss.lang.il.model.impl;

import labss.lang.il.model.Expression;
import labss.lang.il.model.ILType;
import labss.lang.il.model.ILType5;
import labss.lang.il.model.ILTypesEnum;
import labss.lang.il.visitors.ILVisitor;

/**
 * @author Riccardo Solmi
 */
public class NullExpression extends AbstractILEntity implements Expression {
	public static final NullExpression instance = new NullExpression();
	private NullExpression() {
	}

	public Object clone() {
		return this;
	}

	public ILType5 getType5() {
		return ILType5.NullExpression;
	}
	public ILType getType() {
		return ILTypesEnum.tNullExpression;
	}

	public void accept(ILVisitor visitor) {
		visitor.visit(this);
	}
}
