package labss.lang.il.visitors;

import labss.lang.il.model.impl.Addition;
import labss.lang.il.model.impl.While;

public class TopDownVisitorSpecifico extends DefaultVisitor {

	public TopDownVisitorSpecifico() {
		super();
	}

	@Override
	public void visit(While stm) {
		stm.getCondition().accept(this);
		stm.getTrueBody().accept(this);
	}

	@Override
	public void visit(Addition exp) {
		exp.getExp1().accept(this);
		exp.getExp2().accept(this);
	}
	
	//...
}